Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007278TestLinkBug Tracking System - Redmine Integrationpublic2015-09-28 17:432018-11-24 09:00
Reporterdaki 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007278: Customise Testlink Username to Equal Redmine Username
DescriptionWhenever a Bug is created from Testlink the 'Added by' field in Redmine always get populated with the API key name value stored in the Issue tracker management config.

Also Assignee field is blank is Redmine.

--------------

1)Instead, would like to see the name of the user who executed the Test in Testlink to be appeared in Redmine against the "Added By' field.

2)Can we also pass Assignee name.
Steps To Reproduce1)Testlink is Integrated with Redmine Successfully.

2)Testlink execute test case > fail > create issue

3)Bug created in redmine where bug fields have

"added by field" = "api key username" (Expected Same user name as testlink)
"assignee filed" = "blank" (Expected to pass a assignee name)

Example


Additional InformationExample:

Testlink user : ABC (Failed test case)
Test link API User: XYZ (API KEY)

Actual : "ABC" failed the test case in testlink, bug created in Redmine with XYZ username.

Expected : ABC failed the test case in testlink, bug created in Redmine with ABC username.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0007799closedfman Request for Redmine Integration : Redmine API Key for each user 
related to 0008484closedfman Testlink ask for Redmine full list of users which is restricted to admins 

-  Notes
(0024054)
fman (administrator)
2015-09-28 18:59

please first check if redmine API allows to set this values

IMHO is not ok set assigned to from testlink => will not implement
(0024058)
daki (reporter)
2015-09-29 10:43

Redmine API reference i can find is only this, not sure what to do.

http://www.redmine.org/projects/redmine/wiki/Rest_api [^] (Read general topics)
http://www.redmine.org/projects/redmine/wiki/Rest_Users [^]

Did not get your second statement on not ok set assigned to from testlink..??
(0024059)
daki (reporter)
2015-09-29 11:26

Below is some more reference, basis which not sure what changes are to be done in testlink-redmine-api please help.

Reference...
User Impersonation
As of Redmine 2.2.0, you can impersonate user through the REST API by setting the X-Redmine-Switch-User header of your API request. It must be set to a user login (eg. X-Redmine-Switch-User: jsmith). This only works when using the API with an administrator account, this header will be ignored when using the API with a regular user account.

If the login specified with the X-Redmine-Switch-User header does not exist or is not active, you will receive a 412 error response.
(0024060)
fman (administrator)
2015-09-29 12:48

>> This only works when using the API with an administrator account, this header >>will be ignored when using the API with a regular user account
this is IMHO not a solution.


>> Did not get your second statement on not ok set assigned to from testlink..??
Do not think is a good thing, you can assign task AFTER CREATE it (later) and this is not a drawback. This need too tight integration and this is not the idea
(0024061)
daki (reporter)
2015-09-29 15:01

>>User name different in failed test case and bug created is a show stopper for us, I have got Redmine admin APIKEY with me so any solution ?

>>Agree on assign task user, its not a must have or show stopper.
(0024062)
fman (administrator)
2015-09-29 15:46

>> User name different in failed test case and bug created is a show stopper for >> us, I have got Redmine admin APIKEY with me so any solution ?
This is an implementation that is critic just for you, then IMHO you have the code and you can implement it.
If you not I can do it but if your company does a donation (via paypal)
(0024067)
daki (reporter)
2015-09-30 06:29
edited on: 2015-09-30 18:02

Do not have code please help, will support/donate.

(0024077)
daki (reporter)
2015-10-03 06:43

Any update ?
(0024078)
fman (administrator)
2015-10-03 07:25

mail sent to address you have configured for your user.
(0024099)
daki (reporter)
2015-10-07 06:16

Checked internally did not get budget approval, i think i have to live with out this feature for now.

Hoping this feature in upcoming releases, Thanks.
(0024100)
fman (administrator)
2015-10-07 07:47

I'm sorry very much but I'm going to develop this only if someone will be willing to pay for the development.
(0025863)
fman (administrator)
2017-01-22 07:57

1.9.16 released

- Issue History
Date Modified Username Field Change
2015-09-28 17:43 daki New Issue
2015-09-28 18:26 fman QA Team - Task Workflow Status => TBD
2015-09-28 18:26 fman Severity minor => feature request
2015-09-28 18:59 fman Note Added: 0024054
2015-09-29 10:43 daki Note Added: 0024058
2015-09-29 11:26 daki Note Added: 0024059
2015-09-29 12:48 fman Note Added: 0024060
2015-09-29 15:01 daki Note Added: 0024061
2015-09-29 15:46 fman Note Added: 0024062
2015-09-30 06:29 daki Note Added: 0024067
2015-09-30 18:01 daki Note Edited: 0024067 View Revisions
2015-09-30 18:02 daki Note Edited: 0024067 View Revisions
2015-10-03 06:43 daki Note Added: 0024077
2015-10-03 07:25 fman Note Added: 0024078
2015-10-07 06:16 daki Note Added: 0024099
2015-10-07 07:47 fman Note Added: 0024100
2017-01-15 09:12 fman Relationship added related to 0007799
2017-01-15 09:12 fman Fixed in Version => 1.9.16 (2016 Q4)
2017-01-15 09:12 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-01-15 09:12 fman Status new => resolved
2017-01-15 09:12 fman Resolution open => fixed
2017-01-15 09:12 fman Assigned To => fman
2017-01-22 07:57 fman Note Added: 0025863
2017-01-22 07:57 fman Status resolved => closed
2018-11-24 09:00 fman Relationship added related to 0008484



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker